%define gnomemm_version 1.2.3

Summary: Gabber is a GNOME client for Jabber instant messaging system
Name: gabber
Version: 0.8.8
Release: 7mdk
Source0: http://download.sourceforge.net/gabber/%{name}-%{version}.tar.bz2
Source1: %{name}_icons.tar.bz2
# (fc) 0.8.8-2mdk fix build for gcc 3.3 (CVS)
Patch0: gabber-0.8.8-gcc33.patch.bz2
# (fc) 0.8.8-6mdk fix build for gcc 3.4
Patch1: gabber-0.8.8-gcc34.patch.bz2
License: GPL
Group: Networking/Instant messaging
Url: http://gabber.sourceforge.net/
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: gal-devel gdk-pixbuf-devel gnome-print-devel gnupg libglade-devel
BuildRequires: gnomemm-devel >= %{gnomemm_version} openssl-devel
BuildRequires: gnome-common
BuildRequires: intltool xmms-devel
BuildRequires: autoconf2.5
Requires: scrollkeeper >= 0.3
Requires: gnupg aspell
Requires: gnomemm >= %{gnomemm_version}

%description
Gabber is a GNOME client for an Open Source instant messaging system 
named Jabber.
Jabber is an Open Source distributed instant messaging system. It does 
not rely on a single server, and the protocol is well documented. 
Jabber allows communication with many different instant messaging systems, 
including ICQ and AIM. 

%prep

%setup -q
%patch0 -p1 -b .gcc33
%patch1 -p1 -b .gcc34

bzcat %{SOURCE1} | tar xf -

%build
%{?__cputoolize: %{__cputoolize} -c jabberoo}
#don't enable ipv6, it breaks ipv4
%configure2_5x

%make

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%makeinstall_std

#menu entry
mkdir -p $RPM_BUILD_ROOT%{_menudir}

cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): \
needs="x11" \
section="Internet/Instant Messaging" \
title="Gabber" \
longtitle="Gnome client for Jabber Open Source instant messaging system" \
command="%{_bindir}/%{name}" \
icon="%{name}.png" \
startup_notify="true"
EOF

mkdir -p $RPM_BUILD_ROOT%{_miconsdir} $RPM_BUILD_ROOT%{_liconsdir}
(cd $RPM_BUILD_DIR/%{name}-%{version}
install -m 644 %{name}_16.png $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
install -m 644 %{name}_32.png $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
install -m 644 %{name}_48.png $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png
)

%{find_lang} %{name} --with-gnome

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%post
%{update_menus} 
if [ -x %{_bindir}/scrollkeeper-update ]; then %{_bindir}/scrollkeeper-update -q || true ; fi

%postun
%{clean_menus}
if [ -x %{_bindir}/scrollkeeper-update ]; then %{_bindir}/scrollkeeper-update -q || true ; fi

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ABOUT-NLS ChangeLog NEWS README TODO
%config(noreplace) %{_sysconfdir}/sound/events/*
%{_bindir}/*
%{_datadir}/pixmaps/*
%{_datadir}/sounds/*
%{_datadir}/gnome/apps/Internet/*
%{_datadir}/%{name}
%{_datadir}/omf/*
%{_mandir}/*/*
%{_menudir}/*
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png


%changelog
* Sat Dec 31 2005 Mandriva Linux Team <http://www.mandrivaexpert.com/> 0.8.8-7mdk
- Rebuild

* Mon Aug 16 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8.8-6mdk
- Patch1: fix build fro gcc 3.4

* Thu Oct 09 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8.8-5mdk
- Really fix dep

* Thu Oct  2 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.8.8-4mdk
- cputoolize, fix deps

* Mon Jul 21 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.8.8-3mdk
- Disable ipv6 support, it breaks ipv4

* Mon Jul 21 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.8.8-2mdk
- Enable ipv6 support
- Patch0 (CVS): fix build with gcc 3.3

* Wed Jun  4 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.8.8-1mdk
- Release 0.8.8

* Tue Apr 22 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.8.7.12-0.20030214.2mdk
- Fix buildrequires

* Sat Feb 15 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.8.7.12-0.20030214.1mdk
- Oops, we are in 2003, not 2002..

* Fri Feb 14 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8.7.12-0.20020214.1mdk
- CVS Snapshot, since 0.8.8 will probably never be release :(
- Remove patches 0 & 1 (merged upstream)

* Thu Jan 16 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8.7-9mdk
- Rebuild against latest openssl

* Fri Nov  8 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8.7-8mdk
- Rebuild against latest gal version

* Fri Sep 13 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8.7-7mdk
- Update patch0 to fix opening file in append mode

* Tue Aug 20 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8.7-6mdk
- Oops, fix dependency on gnomemm

* Tue Aug 20 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8.7-5mdk
- Recompiled against gnomemm 1.2.3

* Tue Aug  6 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8.7-4mdk
- Patch1: use DTD compliant OMF file
- Fix dependencies

* Thu Jul 25 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.8.7-3mdk
- Automated rebuild with gcc3.2

* Mon Jun  3 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8.7-2mdk
- Patch0 (CVS) : fix compilation with gcc 3.1
- Rebuild against latest gtkmm/gnomemm and gcc 3.1

* Tue Mar 19 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8.7-1mdk
- Release 0.8.7

* Thu Jan 31 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.8.6-2mdk
- xpm -> png icons

* Mon Jan 14 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8.6-1mdk
- Release 0.8.6
- Remove patch0 (merged upstream)

* Sat Dec  1 2001 Jeff Garzik <jgarzik@mandrakesoft.com> 0.8.5-3mdk
- fix variable type, which fixes build on 64-bit platforms
- use %%makeinstall again
- use %%configure2_5x macro instead of %%configure, to pass
  --build/--host/--target to configure

* Mon Nov 19 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8.5-2mdk
- Use old_makefile macro
- Enforce dependencies
- Disable some optimizations

* Wed Nov 14 2001 Vincent Saugey <vince@mandrakesoft.com> 0.8.5-1mdk
- Up version

* Fri Nov  9 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8.4-7mdk
- Recompiled against latest gal

* Mon Oct 29 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8.4-6mdk
- Recompiled against latest gal

* Thu Oct 18 2001 Stefan van der Eijk <stefan@eijk.nu> 0.8.4-5mdk
- BuildRequires: libxml-devel

* Mon Oct 01 2001 Stefan van der Eijk <stefan@eijk.nu> 0.8.4-4mdk
- BuildRequires: gdk-pixbuf-devel gnome-print-devel

* Wed Aug 22 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8.4-3mdk
- Recompiled against libgal11

* Fri Aug 10 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8.4-2mdk
- Recompiled against latest gal/gnomemm/gtkmm

* Tue Jul 24 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8.4-1mdk
- Release 0.8.4
- Remove source1 (french translation is up to date)
- Remove patch 0 (merged upstream)

* Fri Mar 30 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8.2-2mdk
- Correct BuildRequires

* Thu Mar 29 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8.2-1mdk
- Release 0.8.2
- Add updated french translation
- Patch 0 to remove gcc 2.96 warning

* Wed Feb 28 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8.1-2mdk
- rebuild against last gnomemm

* Thu Jan 18 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8.1-1mdk
- Release 0.8.1

* Fri Jan 12 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8.0-1mdk
- Release 0.8.0
- Build now with gcc 2.96
- Add missing files
- Embed menu entry in specfile

* Tue Sep 26 2000 Daouda Lo <daouda@mandrakesoft.com> 0.7.0-3mdk
- Menu title should begin with Capital letter 

* Fri Sep  1 2000 Vincent Saugey <vince@mandrakesoft.com> 0.7.0-2mdk
- Rebuild for next release

* Thu Aug  3 2000 Vincent Saugey <vince@mandrakesoft.com> 0.7.0-1mdk
- First mdk release
